#include <bits/stdc++.h>

using namespace std;

long long najn(long long a)
{
    long long br = -1;
    while(a>0)
    {
        a = a / 10;
        br++;
    }
    long long p;

    for(long long i=0; i<br; i++)
    {
        p = p * 10;
    }
    return p;
}

int main()
{
    ios_base::sync_with_stdio(false);
    long long v, br=0, k;
    cin>>v;
    while(v>0)
    {
        k = najn(v);
        if(v >= k*5)
        {
            v = v - k*5;
        }
        else if(v >= k*2)
        {
            v = v - k*2;
        }
        else
        {
            v = v - k;
        }
        br++;
    }
    cout<<br;
    return 0;
}